[Overview][Constants][Procedures and functions][Index] | Reference for unit 'cmem' (#rtl)

# Malloc

Malloc external declaration.

## Declaration

Source position: cmem.pp line 51

`function Malloc(`
`Size: PtrUInt`
`):Pointer;`

## Arguments

`Size` |  | Requested size for the new memory block.

## Function result

A pointer to the newly allocated memory block

## Description

Malloc is the external declaration of the C libraries malloc call. It accepts a size parameter, and returns a pointer to a memory block of the requested size or Nil if no more memory could be allocated.

## See also

Free |  | Free a previously allocated block
ReAlloc |  | Reallocates a memory block